Bug 744307

Summary: xbmc segfault crash libfreetype.so.6.7.1
Product: [Fedora] Fedora Reporter: Josef <josef.gottlander>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: andrew.stiegmann, behdad, fonts-bugs, i, kevin, leif.walsh, mathias.buren, mkasik
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 21:03:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
xbmc crash log
none
Backtrace from the Xorg crash.
none
xbmc backtrace none

Description Josef 2011-10-07 15:48:31 EDT
Created attachment 526950 [details]
xbmc crash log

Description of problem:
xbmc crashes and makes X crash. not sure wether this is a xbmc 11.0 specific problem or just general xbmc.


Version-Release number of selected component (if applicable):
xbmc PRE-11.0 Git:20111004-bfd5673
freetype 2.4.6-1.fc16


How reproducible:
Install fedora f16 and install xbmc in some way

Steps to Reproduce:
1. run xbmc from f16
2.
3.
  
Actual results:
X restarts

Expected results:
To run xbmc properly


Additional info:
Comment 1 Paul P Komkoff Jr 2011-11-19 17:31:47 EST
I am also getting this with xbmc from rpmfusion, and it only happens when I do it from gnome (if I set session to xbmc and boot, it works fine).
Comment 2 Andrew Stiegmann 2011-11-20 17:17:38 EST
Created attachment 534690 [details]
Backtrace from the Xorg crash.
Comment 3 Andrew Stiegmann 2011-12-26 22:25:15 EST
Both Dharama and Eden beta are working fine now from recent errata updates.

xorg-x11-drv-intel-2.17.0-4.fc16.x86_64
freetype-2.4.6-4.fc16.x86_64
freetype-2.4.6-4.fc16.i686
freetype-devel-2.4.6-4.fc16.x86_64
Comment 4 Andrew Stiegmann 2012-01-03 22:05:57 EST
(In reply to comment #3)
> Both Dharama and Eden beta are working fine now from recent errata updates.
> 
> xorg-x11-drv-intel-2.17.0-4.fc16.x86_64
> freetype-2.4.6-4.fc16.x86_64
> freetype-2.4.6-4.fc16.i686
> freetype-devel-2.4.6-4.fc16.x86_64

Well I lied apparently.  Had it working for a bit but a subsequent reboot has brought the issue back.  :(  Please re-open for tracking.
Comment 5 Pedro Ferreira 2012-04-10 14:24:51 EDT
Created attachment 576547 [details]
xbmc backtrace

Same thing here. Attaching backtrace.
Comment 6 Fedora End Of Life 2013-02-13 21:03:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.